import Component from '../component.js'
import SpanComponent from '../span.js';
import CoEuiButton from './eui-button.js';
import CoEuiDropdownItem from './eui-dropdown-item.js';
import CoEuiDropdown from './eui-dropdown.js';
import CoEuiIconSvg from './eui-icon-svg.js';

export default class CoEuiToolbarNavbar extends Component {
  constructor(parent) {
    let selector = 'eui-toolbar-navbar';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/layout/eui-toolbar/toolbar-navbar/toolbar-navbar.component.html
  }
  get dropdownCO(){
    return new CoEuiDropdown(this.currentPath);
  }
  get triggerBtnCO(){
    return new CoEuiButton(this.dropdownCO);
  }
  get triggerBtnLabelCO(){
    return new SpanComponent(this.triggerBtnCO).addPredicateClassContains('eui-label');
  }
  get triggerBtnIconCO(){
    return new CoEuiIconSvg(this.triggerBtnCO).addPredicateIconContains('chevron-down');
  }
  get dropdownContentCO(){
    return this.dropdownCO.dropdownContentCO;
  }
  get dropdownItemCO(){
    return new CoEuiDropdownItem(this.dropdownContentCO);
  }
}

